# Add a new tag of an affiliate

| HTTP method | Endpoint                                           |
| ----------- | -------------------------------------------------- |
| **POST**    | **/v1/affiliates/{affiliate\_id}/affiliate\_tags** |

## Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter     | Description                      |
| ------------- | -------------------------------- |
| affiliate\_id | The unique id for the affiliate. |

### Request body parameters <a href="#request-body-parameters" id="request-body-parameters"></a>

| Field | Type   | Description | Nullable |
| ----- | ------ | ----------- | -------- |
| name  | string | Tag name.   | No       |

## Response body parameters <a href="#response-body-parameters" id="response-body-parameters"></a>

| Field         | Type    | Description                                       |
| ------------- | ------- | ------------------------------------------------- |
| id            | integer | A string that uniquely identifies this tag.       |
| affiliate\_id | integer | A string that uniquely identifies this affiliate. |
| name          | string  | Name                                              |

## Example request <a href="#example-request" id="example-request"></a>

**Request POST** <https://{networkname}.api.offerslook.com/v1/affiliates/4909/affiliate_tags>

**Request POST** <http://{networkname}.api.offerslook.com/v1/affiliates/4909/affiliate_tags>

```
    {
      "name": "Food"
    }
```

## Example response <a href="#example-response" id="example-response"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "affiliate_tag": [
          {
            "id": 17,
            "name": "Other",
            "affiliate_id": 4909
          },
          {
            "id": 41,
            "name": "Food",
            "affiliate_id": 4909
          }
        ]
      }
    }
```
